Page MenuHomePhabricator

Exclude anonymous IP users from survey_users.py
Closed, ResolvedPublic0 Estimate Story Points

Description

IPs may not correspond to individual users, so we should probably exclude them from the survey invitations. For example, a small college (or country) may route all their users though a single IP address. Anonymous users can be filtered by excluding edits where rc_user = 0.

Event Timeline

kaldari created this task.Oct 16 2015, 5:44 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a project: Community-Tech.
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2015, 5:44 PM
Akeron added a subscriber: Akeron.Oct 16 2015, 6:18 PM

The request use "GROUP by rc_user", so all IP ( rc_user=0) are merged and counted as a single big user.

The request use "GROUP by rc_user", so all IP ( rc_user=0) are merged and counted as a single big user.

Great catch, @Akeron! I'm so sorry, I wasn't aware that anonymous IPs have rc_user=0. I really should have checked. Thanks for pointing this out. I'll fix this ASAP.

Niharika added a comment.EditedOct 23 2015, 6:45 PM

Grouping on rc_user_text makes more sense here, I think. That contains the IP address in case of anonymous users.

Yep, I confirmed.

Niharika closed this task as Resolved.Nov 3 2015, 1:23 AM
Niharika edited projects, added Community-Tech-Sprint; removed Community-Tech.
Niharika edited a custom field.
Niharika moved this task from Ready to Q1 2018-19 on the Community-Tech-Sprint board.